com.holonplatform.jaxrs.swagger.annotations

## Annotation Type ApiDefinition

-     @Target(value={TYPE,PACKAGE})
       @Retention(value=RUNTIME)
       @Documented
      public @interface ApiDefinition

  Annotation which can be used for Swagger API listing auto-configuration to specify the Swagger API definition properties for a package or a JAX-RS endpoint class.
  Since:
    5.0.0

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `contact` API contact informations
    `String` | `description` API description
    `String` | `docsPath` Get the path of the JAX-RS Swagger API listing endpoint.
    `String` | `license` API license
    `String` | `licenseUrl` API license URL
    `boolean` | `prettyPrint` Whether to pretty format the Swagger output
    `String[]` | `schemes` API schemes
    `String` | `termsOfServiceUrl` API terms of service URL
    `String` | `title` API title
    `String` | `version` API version description

- - ### Element Detail

    - #### docsPath

          public abstract String docsPath

      Get the path of the JAX-RS Swagger API listing endpoint.
      Returns:
        Swagger API listing endpoint path
      Default:
        ""

  - - #### title

          public abstract String title

      API title
      Returns:
        the title
      Default:
        ""

  - - #### version

          public abstract String version

      API version description
      Returns:
        the version
      Default:
        ""

  - - #### description

          public abstract String description

      API description
      Returns:
        the description
      Default:
        ""

  - - #### schemes

          public abstract String[] schemes

      API schemes
      Returns:
        the schemes
      Default:
        {}

  - - #### termsOfServiceUrl

          public abstract String termsOfServiceUrl

      API terms of service URL
      Returns:
        the terms of service URL
      Default:
        ""

  - - #### contact

          public abstract String contact

      API contact informations
      Returns:
        the contact informations
      Default:
        ""

  - - #### license

          public abstract String license

      API license
      Returns:
        the license
      Default:
        ""

  - - #### licenseUrl

          public abstract String licenseUrl

      API license URL
      Returns:
        the license URL
      Default:
        ""

  - - #### prettyPrint

          public abstract boolean prettyPrint

      Whether to pretty format the Swagger output
      Returns:
        `true` to pretty format the Swagger output
      Default:
        false

Copyright © 2017 The Holon Platform. All rights reserved.